Bug 170038 - CAN-2005-0109 DSA signing not quite constant time
CAN-2005-0109 DSA signing not quite constant time
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openssl (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Brian Brock
impact=moderate,source=openssl,public...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-06 14:52 EDT by Josh Bressers
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-14 02:56:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-10-06 14:52:21 EDT
+++ This bug was initially created as a clone of Bug #170036 +++

Upstream has added a fix which ensure that DSA signing computations are constant
time, the previous fix doesn't seem to have been complete:
http://cvs.openssl.org/chngview?cn=13440
Comment 1 Josh Bressers 2005-10-06 14:53:29 EDT
This issue also affects FC3
Comment 2 Fedora Update System 2005-10-13 23:50:00 EDT
From User-Agent: XML-RPC

openssl097a-0.9.7a-3.1 openssl-0.9.7f-7.10 has been pushed for FC4, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.